##### Coverage Report - org.owasp.dependencycheck.utils.InvalidSettingException

Classes in this File | Line Coverage | Branch Coverage | Complexity
InvalidSettingException |
0% | 0/8
N/A | N/A
| 1.0;1

1 |  |
     /*
2 |  |
      * This file is part of dependency-check-core.
3 |  |
      *
4 |  |
      * Dependency-check-core is free software: you can redistribute it and/or modify it
5 |  |
      * under the terms of the GNU General Public License as published by the Free
6 |  |
      * Software Foundation, either version 3 of the License, or (at your option) any
7 |  |
      * later version.
8 |  |
      *
9 |  |
      * Dependency-check-core is distributed in the hope that it will be useful, but
10 |  |
      * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
11 |  |
      * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
12 |  |
      * details.
13 |  |
      *
14 |  |
      * You should have received a copy of the GNU General Public License along with
15 |  |
      * dependency-check-core. If not, see http://www.gnu.org/licenses/.
16 |  |
      *
17 |  |
      * Copyright (c) 2012 Jeremy Long. All Rights Reserved.
18 |  |
      */
19 |  |
     package org.owasp.dependencycheck.utils;
20 |  |
21 |  |
     import java.io.IOException;
22 |  |
23 |  |
     /**
24 |  |
      * An exception used when an error occurs reading a setting.
25 |  |
      *
26 |  |
      * @author Jeremy Long (jeremy.long@owasp.org)
27 |  |
      */
28 |  |
     public class InvalidSettingException extends IOException {
29 |  |
30 |  |
         /**
31 |  |
          * The serial version UID.
32 |  |
          */
33 |  |
         private static final long serialVersionUID = 1L;
34 |  |
35 |  |
         /**
36 |  |
          * Creates a new InvalidSettingException.
37 |  |
          */
38 |  |
         public InvalidSettingException() {
39 | 0 |
             super();
40 | 0 |
         }
41 |  |
42 |  |
         /**
43 |  |
          * Creates a new InvalidSettingException.
44 |  |
          *
45 |  |
          * @param msg a message for the exception.
46 |  |
          */
47 |  |
         public InvalidSettingException(String msg) {
48 | 0 |
             super(msg);
49 | 0 |
         }
50 |  |
51 |  |
         /**
52 |  |
          * Creates a new InvalidSettingException.
53 |  |
          *
54 |  |
          * @param ex the cause of the setting exception.
55 |  |
          */
56 |  |
         public InvalidSettingException(Throwable ex) {
57 | 0 |
             super(ex);
58 | 0 |
         }
59 |  |
60 |  |
         /**
61 |  |
          * Creates a new InvalidSettingException.
62 |  |
          *
63 |  |
          * @param msg a message for the exception.
64 |  |
          * @param ex the cause of the setting exception.
65 |  |
          */
66 |  |
         public InvalidSettingException(String msg, Throwable ex) {
67 | 0 |
             super(msg, ex);
68 | 0 |
         }
69 |  |
     }